Index: trunk/lib/FlairFilter/src/Pid_impl.cpp
===================================================================
--- trunk/lib/FlairFilter/src/Pid_impl.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/Pid_impl.cpp	(revision 15)
@@ -28,76 +28,84 @@
 using namespace flair::filter;
 
-Pid_impl::Pid_impl(Pid* self,const LayoutPosition* position,string name) {
-    i=0;
-    first_update=true;
-    this->self=self;
+Pid_impl::Pid_impl(Pid *self, const LayoutPosition *position, string name) {
+  i = 0;
+  first_update = true;
+  this->self = self;
 
-    //init matrix
-    self->input=new cvmatrix(self,2,1,floatType,name);
+  // init matrix
+  self->input = new cvmatrix(self, 2, 1, floatType, name);
 
-    cvmatrix_descriptor* desc=new cvmatrix_descriptor(4,1);
-    desc->SetElementName(0,0,"p");
-    desc->SetElementName(1,0,"i");
-    desc->SetElementName(2,0,"d");
-    desc->SetElementName(3,0,"p+i+d");
-    state=new cvmatrix(self,desc,floatType,name);
+  cvmatrix_descriptor *desc = new cvmatrix_descriptor(4, 1);
+  desc->SetElementName(0, 0, "p");
+  desc->SetElementName(1, 0, "i");
+  desc->SetElementName(2, 0, "d");
+  desc->SetElementName(3, 0, "p+i+d");
+  state = new cvmatrix(self, desc, floatType, name);
 
-    GroupBox* reglages_groupbox=new GroupBox(position,name);
-    T=new DoubleSpinBox(reglages_groupbox->NewRow(),"period, 0 for auto"," s",0,1,0.01);
-    kp=new DoubleSpinBox(reglages_groupbox->NewRow(),"kp:",0,90000000,0.01,3);
-    ki=new DoubleSpinBox(reglages_groupbox->NewRow(),"ki:",0,90000000,0.01,3);
-    sati=new DoubleSpinBox(reglages_groupbox->LastRowLastCol(),"sat i:",0,1,0.01);
-    kd=new DoubleSpinBox(reglages_groupbox->NewRow(),"kd:",0,90000000,0.01,3);
-    sat=new DoubleSpinBox(reglages_groupbox->NewRow(),"sat:",0,1,0.1);
+  GroupBox *reglages_groupbox = new GroupBox(position, name);
+  T = new DoubleSpinBox(reglages_groupbox->NewRow(), "period, 0 for auto", " s",
+                        0, 1, 0.01);
+  kp = new DoubleSpinBox(reglages_groupbox->NewRow(), "kp:", 0, 90000000, 0.01,
+                         3);
+  ki = new DoubleSpinBox(reglages_groupbox->NewRow(), "ki:", 0, 90000000, 0.01,
+                         3);
+  sati = new DoubleSpinBox(reglages_groupbox->LastRowLastCol(), "sat i:", 0, 1,
+                           0.01);
+  kd = new DoubleSpinBox(reglages_groupbox->NewRow(), "kd:", 0, 90000000, 0.01,
+                         3);
+  sat = new DoubleSpinBox(reglages_groupbox->NewRow(), "sat:", 0, 1, 0.1);
 }
 
-Pid_impl::~Pid_impl(void) {
-}
+Pid_impl::~Pid_impl(void) {}
 
-void Pid_impl::UseDefaultPlot(const LayoutPosition* position) {
-    DataPlot1D *plot=new DataPlot1D(position,self->ObjectName(),-1,1);
-    plot->AddCurve(state->Element(0));
-    plot->AddCurve(state->Element(1),DataPlot::Green);
-    plot->AddCurve(state->Element(2),DataPlot::Blue);
-    plot->AddCurve(state->Element(3),DataPlot::Black);
+void Pid_impl::UseDefaultPlot(const LayoutPosition *position) {
+  DataPlot1D *plot = new DataPlot1D(position, self->ObjectName(), -1, 1);
+  plot->AddCurve(state->Element(0));
+  plot->AddCurve(state->Element(1), DataPlot::Green);
+  plot->AddCurve(state->Element(2), DataPlot::Blue);
+  plot->AddCurve(state->Element(3), DataPlot::Black);
 }
 
 void Pid_impl::UpdateFrom(const io_data *data) {
-    float p,d,total;
-    float delta_t;
-    cvmatrix *input=(cvmatrix*)data;
+  float p, d, total;
+  float delta_t;
+  cvmatrix *input = (cvmatrix *)data;
 
-    if(T->Value()==0) {
-        delta_t=(float)(data->DataTime()-previous_time)/1000000000.;
-    } else {
-        delta_t=T->Value();
-    }
-    if(first_update==true) {
-        delta_t=0;
-        first_update=false;
-    }
+  if (T->Value() == 0) {
+    delta_t = (float)(data->DataTime() - previous_time) / 1000000000.;
+  } else {
+    delta_t = T->Value();
+  }
+  if (first_update == true) {
+    delta_t = 0;
+    first_update = false;
+  }
 
-    input->GetMutex();
-    p=kp->Value()*input->ValueNoMutex(0,0);
-    i+=ki->Value()*input->ValueNoMutex(0,0)*delta_t;
-    if(i>sati->Value()) i=sati->Value();
-    if(i<-sati->Value()) i=-sati->Value();
-    d=kd->Value()*input->ValueNoMutex(1,0);
-    input->ReleaseMutex();
+  input->GetMutex();
+  p = kp->Value() * input->ValueNoMutex(0, 0);
+  i += ki->Value() * input->ValueNoMutex(0, 0) * delta_t;
+  if (i > sati->Value())
+    i = sati->Value();
+  if (i < -sati->Value())
+    i = -sati->Value();
+  d = kd->Value() * input->ValueNoMutex(1, 0);
+  input->ReleaseMutex();
 
-    total=p+i+d;
-    if(total>sat->Value()) total=sat->Value();
-    if(total<-sat->Value()) total=-sat->Value();
+  total = p + i + d;
+  if (total > sat->Value())
+    total = sat->Value();
+  if (total < -sat->Value())
+    total = -sat->Value();
 
-    state->GetMutex();
-    state->SetValueNoMutex(0,0,p);
-    state->SetValueNoMutex(1,0,i);
-    state->SetValueNoMutex(2,0,d);
-    state->SetValueNoMutex(3,0,total);
-    state->ReleaseMutex();
+  state->GetMutex();
+  state->SetValueNoMutex(0, 0, p);
+  state->SetValueNoMutex(1, 0, i);
+  state->SetValueNoMutex(2, 0, d);
+  state->SetValueNoMutex(3, 0, total);
+  state->ReleaseMutex();
 
-    self->output->SetValue(0,0,total);
-    self->output->SetDataTime(data->DataTime());
+  self->output->SetValue(0, 0, total);
+  self->output->SetDataTime(data->DataTime());
 
-    previous_time=data->DataTime();
+  previous_time = data->DataTime();
 }
Index: trunk/lib/FlairFilter/src/SimuAhrs.cpp
===================================================================
--- trunk/lib/FlairFilter/src/SimuAhrs.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/SimuAhrs.cpp	(revision 15)
@@ -25,28 +25,28 @@
 using namespace flair::sensor;
 
-namespace flair { namespace filter {
+namespace flair {
+namespace filter {
 
-SimuAhrs::SimuAhrs(const FrameworkManager* parent,string name,uint32_t dev_id,uint8_t priority) :Ahrs(new SimuImu(parent,name,dev_id,priority),name) {
-}
+SimuAhrs::SimuAhrs(const FrameworkManager *parent, string name, uint32_t dev_id,
+                   uint8_t priority)
+    : Ahrs(new SimuImu(parent, name, dev_id, priority), name) {}
 
 SimuAhrs::~SimuAhrs() {}
 
-void SimuAhrs::Start(void) {
-    ((SimuImu*)GetImu())->Start();
-}
+void SimuAhrs::Start(void) { ((SimuImu *)GetImu())->Start(); }
 
-//datas from SimuImu are AhrsData!
+// datas from SimuImu are AhrsData!
 void SimuAhrs::UpdateFrom(const io_data *data) {
-    AhrsData *input=(AhrsData*)data;
-    AhrsData *output;
-    GetDatas(&output);
+  AhrsData *input = (AhrsData *)data;
+  AhrsData *output;
+  GetDatas(&output);
 
-    Quaternion quaternion;
-    Vector3D filteredAngRates;
-    input->GetQuaternionAndAngularRates(quaternion,filteredAngRates);
-    output->SetQuaternionAndAngularRates(quaternion,filteredAngRates);
-    output->SetDataTime(input->DataTime());
+  Quaternion quaternion;
+  Vector3D filteredAngRates;
+  input->GetQuaternionAndAngularRates(quaternion, filteredAngRates);
+  output->SetQuaternionAndAngularRates(quaternion, filteredAngRates);
+  output->SetDataTime(input->DataTime());
 
-    ProcessUpdate(output);
+  ProcessUpdate(output);
 }
 
Index: trunk/lib/FlairFilter/src/SimuAhrs.h
===================================================================
--- trunk/lib/FlairFilter/src/SimuAhrs.h	(revision 14)
+++ trunk/lib/FlairFilter/src/SimuAhrs.h	(revision 15)
@@ -17,51 +17,49 @@
 #include <stdint.h>
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class SimuAhrs
-    *
-    * \brief Class for a simulation Ahrs
-    *
-    * This class constructs a SimuImu as Imu of this Ahrs.
-    */
-    class SimuAhrs : public filter::Ahrs
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a simulation Ahrs.
-            *
-            * \param parent parent
-            * \param name name
-            * \param dev_id number id of the simulated Ahrs
-            * \param priority priority of the SimuImu Thread
-            */
-            SimuAhrs(const core::FrameworkManager* parent,std::string name,uint32_t dev_id,uint8_t priority);
+namespace flair {
+namespace filter {
+/*! \class SimuAhrs
+*
+* \brief Class for a simulation Ahrs
+*
+* This class constructs a SimuImu as Imu of this Ahrs.
+*/
+class SimuAhrs : public filter::Ahrs {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a simulation Ahrs.
+  *
+  * \param parent parent
+  * \param name name
+  * \param dev_id number id of the simulated Ahrs
+  * \param priority priority of the SimuImu Thread
+  */
+  SimuAhrs(const core::FrameworkManager *parent, std::string name,
+           uint32_t dev_id, uint8_t priority);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~SimuAhrs();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~SimuAhrs();
 
-             /*!
-            * \brief Start SimuImu Thread
-            *
-            */
-            void Start(void);
+  /*!
+ * \brief Start SimuImu Thread
+ *
+ */
+  void Start(void);
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data);
-    };
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data);
+};
 } // end namespace filter
 } // end namespace flair
Index: trunk/lib/FlairFilter/src/TrajectoryGenerator1D.cpp
===================================================================
--- trunk/lib/FlairFilter/src/TrajectoryGenerator1D.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/TrajectoryGenerator1D.cpp	(revision 15)
@@ -26,67 +26,64 @@
 using namespace flair::gui;
 
-namespace flair { namespace filter {
+namespace flair {
+namespace filter {
 
-TrajectoryGenerator1D::TrajectoryGenerator1D(const LayoutPosition* position,string name,string unit) : IODevice(position->getLayout(),name) {
-    pimpl_=new TrajectoryGenerator1D_impl(this,position,name,unit);
-    AddDataToLog(pimpl_->output);
+TrajectoryGenerator1D::TrajectoryGenerator1D(const LayoutPosition *position,
+                                             string name, string unit)
+    : IODevice(position->getLayout(), name) {
+  pimpl_ = new TrajectoryGenerator1D_impl(this, position, name, unit);
+  AddDataToLog(pimpl_->output);
 }
 
-TrajectoryGenerator1D::~TrajectoryGenerator1D() {
-    delete pimpl_;
+TrajectoryGenerator1D::~TrajectoryGenerator1D() { delete pimpl_; }
+
+cvmatrix *TrajectoryGenerator1D::Matrix(void) const { return pimpl_->output; }
+
+void TrajectoryGenerator1D::StartTraj(float start_pos, float end_pos) {
+  pimpl_->StartTraj(start_pos, end_pos);
 }
 
-cvmatrix *TrajectoryGenerator1D::Matrix(void) const {
-    return pimpl_->output;
-}
-
-void TrajectoryGenerator1D::StartTraj(float start_pos,float end_pos) {
-    pimpl_->StartTraj(start_pos,end_pos);
-}
-
-//revoir l'interet du stop?
-void TrajectoryGenerator1D::StopTraj(void) {
-    pimpl_->StopTraj();
-}
+// revoir l'interet du stop?
+void TrajectoryGenerator1D::StopTraj(void) { pimpl_->StopTraj(); }
 
 bool TrajectoryGenerator1D::IsRunning(void) const {
-    if(pimpl_->is_started==true) {
-        if(pimpl_->is_finished==true) {
-            return false;
-        } else {
-            return true;
-        }
+  if (pimpl_->is_started == true) {
+    if (pimpl_->is_finished == true) {
+      return false;
     } else {
-        return false;
+      return true;
     }
+  } else {
+    return false;
+  }
 }
 
 float TrajectoryGenerator1D::Position(void) const {
-    return pimpl_->output->Value(0,0);
+  return pimpl_->output->Value(0, 0);
 }
 
 void TrajectoryGenerator1D::Reset(void) {
-    if(IsRunning()==false) {
-        pimpl_->Reset();
-    } else {
-        Err("impossible while running\n");
-    }
+  if (IsRunning() == false) {
+    pimpl_->Reset();
+  } else {
+    Err("impossible while running\n");
+  }
 }
 
 void TrajectoryGenerator1D::SetPositionOffset(float value) {
-    pimpl_->pos_off=value;
+  pimpl_->pos_off = value;
 }
 
 float TrajectoryGenerator1D::Speed(void) const {
-    return pimpl_->output->Value(1,0);
+  return pimpl_->output->Value(1, 0);
 }
 
 void TrajectoryGenerator1D::SetSpeedOffset(float value) {
-    pimpl_->vel_off=value;
+  pimpl_->vel_off = value;
 }
 
 void TrajectoryGenerator1D::Update(Time time) {
-    pimpl_->Update(time);
-    ProcessUpdate(pimpl_->output);
+  pimpl_->Update(time);
+  ProcessUpdate(pimpl_->output);
 }
 
Index: trunk/lib/FlairFilter/src/TrajectoryGenerator1D.h
===================================================================
--- trunk/lib/FlairFilter/src/TrajectoryGenerator1D.h	(revision 14)
+++ trunk/lib/FlairFilter/src/TrajectoryGenerator1D.h	(revision 15)
@@ -16,141 +16,141 @@
 #include <IODevice.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-    }
-    namespace gui
-    {
-        class LayoutPosition;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+}
+namespace gui {
+class LayoutPosition;
+}
 }
 
 class TrajectoryGenerator1D_impl;
 
-namespace flair
-{
-namespace filter
-{
-    /*! \class TrajectoryGenerator1D
-    *
-    * \brief Class generating a trajectory in 1D
-    *
-    * This class generates position and velocity references, given
-    * an absolute maximum velocity and an absolute acceleration. \n
-    * When trajectory is started (see StartTraj()), position and velocity will increase
-    * at the given acceleration. If the maximum velocity is reached,
-    * velocity will not increase anymore. Then, velocity will decrease according
-    * to the given acceleration until velocity is null and final position is reached. \n
-    * Manual inputs can be introduced using SetPositionOffset() and SetSpeedOffset().
-    *
-    */
-    class TrajectoryGenerator1D : public core::IODevice
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a TrajectoryGenerator1D at given position. \n
-            * The TrajectoryGenerator1D will automatically be child of position->getLayout() Layout. After calling this function,
-            * position will be deleted as it is no longer usefull. \n
-            *
-            * \param position position to display settings
-            * \param name name
-            * \param unit unit of the position (for exemple m, deg, etc). Its only used for display on ground station.
-            */
-            TrajectoryGenerator1D(const gui::LayoutPosition* position,std::string name,std::string unit="");
+namespace flair {
+namespace filter {
+/*! \class TrajectoryGenerator1D
+*
+* \brief Class generating a trajectory in 1D
+*
+* This class generates position and velocity references, given
+* an absolute maximum velocity and an absolute acceleration. \n
+* When trajectory is started (see StartTraj()), position and velocity will
+*increase
+* at the given acceleration. If the maximum velocity is reached,
+* velocity will not increase anymore. Then, velocity will decrease according
+* to the given acceleration until velocity is null and final position is
+*reached. \n
+* Manual inputs can be introduced using SetPositionOffset() and
+*SetSpeedOffset().
+*
+*/
+class TrajectoryGenerator1D : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a TrajectoryGenerator1D at given position. \n
+  * The TrajectoryGenerator1D will automatically be child of
+  *position->getLayout() Layout. After calling this function,
+  * position will be deleted as it is no longer usefull. \n
+  *
+  * \param position position to display settings
+  * \param name name
+  * \param unit unit of the position (for exemple m, deg, etc). Its only used
+  *for display on ground station.
+  */
+  TrajectoryGenerator1D(const gui::LayoutPosition *position, std::string name,
+                        std::string unit = "");
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~TrajectoryGenerator1D();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~TrajectoryGenerator1D();
 
-            /*!
-            * \brief Start trajectory
-            *
-            * \param start_pos start position
-            * \param end_pos end position
-            */
-            void StartTraj(float start_pos,float end_pos);
+  /*!
+  * \brief Start trajectory
+  *
+  * \param start_pos start position
+  * \param end_pos end position
+  */
+  void StartTraj(float start_pos, float end_pos);
 
-            /*!
-            * \brief Stop trajectory
-            *
-            */
-            void StopTraj(void);
+  /*!
+  * \brief Stop trajectory
+  *
+  */
+  void StopTraj(void);
 
-            /*!
-            * \brief Reset
-            *
-            * Reset all outputs to 0. This can be done only when IsRunning()==false.
-            *
-            */
-            void Reset(void);
+  /*!
+  * \brief Reset
+  *
+  * Reset all outputs to 0. This can be done only when IsRunning()==false.
+  *
+  */
+  void Reset(void);
 
-            /*!
-            * \brief Is trajectory running?
-            *
-            * \return true if trajectory is running
-            */
-            bool IsRunning(void) const;
+  /*!
+  * \brief Is trajectory running?
+  *
+  * \return true if trajectory is running
+  */
+  bool IsRunning(void) const;
 
-            /*!
-            * \brief Set position offset
-            *
-            * \param value position offset
-            */
-            void SetPositionOffset(float value);
+  /*!
+  * \brief Set position offset
+  *
+  * \param value position offset
+  */
+  void SetPositionOffset(float value);
 
-            /*!
-            * \brief Set speed offset
-            *
-            * \param value speed offset
-            */
-            void SetSpeedOffset(float value);
+  /*!
+  * \brief Set speed offset
+  *
+  * \param value speed offset
+  */
+  void SetSpeedOffset(float value);
 
-            /*!
-            * \brief Update using provided datas
-            *
-            * Uses values specified by StartTraj(),
-            * SetPositionOffset() and SetSpeedOffset().
-            *
-            * \param time time of the update
-            */
-            void Update(core::Time time);
+  /*!
+  * \brief Update using provided datas
+  *
+  * Uses values specified by StartTraj(),
+  * SetPositionOffset() and SetSpeedOffset().
+  *
+  * \param time time of the update
+  */
+  void Update(core::Time time);
 
-            /*!
-            * \brief Position
-            *
-            */
-            float Position(void) const;
+  /*!
+  * \brief Position
+  *
+  */
+  float Position(void) const;
 
-            /*!
-            * \brief Speed
-            *
-            */
-            float Speed(void) const;
+  /*!
+  * \brief Speed
+  *
+  */
+  float Speed(void) const;
 
-            /*!
-            * \brief Output matrix
-            *
-            * \return matrix
-            */
-            core::cvmatrix *Matrix(void) const;
+  /*!
+  * \brief Output matrix
+  *
+  * \return matrix
+  */
+  core::cvmatrix *Matrix(void) const;
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice. Nothing to do in this IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data){};
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice. Nothing to do in this IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data){};
 
-            TrajectoryGenerator1D_impl* pimpl_;
-    };
+  TrajectoryGenerator1D_impl *pimpl_;
+};
 } // end namespace filter
 } // end namespace flair
Index: trunk/lib/FlairFilter/src/TrajectoryGenerator1D_impl.cpp
===================================================================
--- trunk/lib/FlairFilter/src/TrajectoryGenerator1D_impl.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/TrajectoryGenerator1D_impl.cpp	(revision 15)
@@ -29,118 +29,130 @@
 using namespace flair::filter;
 
-TrajectoryGenerator1D_impl::TrajectoryGenerator1D_impl(TrajectoryGenerator1D* self,const LayoutPosition* position,string name,string unit) {
-    first_update=true;
-    is_started=false;
+TrajectoryGenerator1D_impl::TrajectoryGenerator1D_impl(
+    TrajectoryGenerator1D *self, const LayoutPosition *position, string name,
+    string unit) {
+  first_update = true;
+  is_started = false;
 
-    //init UI
-    GroupBox* reglages_groupbox=new GroupBox(position,name);
-    T=new DoubleSpinBox(reglages_groupbox->NewRow(),"period, 0 for auto:"," s",0,1,0.01);
-    if(unit=="") {
-        max_veloctity=new DoubleSpinBox(reglages_groupbox->LastRowLastCol(),"velocity max (absolute):",0.,200000,1);
-    } else {
-        max_veloctity=new DoubleSpinBox(reglages_groupbox->LastRowLastCol(),"velocity max (absolute):"," "+ unit+"/s",0.,200000,1);
-    }
-    if(unit=="") {
-        acceleration=new DoubleSpinBox(reglages_groupbox->LastRowLastCol(),"acceleration (absolute):",0.,10,1,3);
-    } else {
-        acceleration=new DoubleSpinBox(reglages_groupbox->LastRowLastCol(),"acceleration (absolute):"," "+unit +"/s²",0.,200000,1);
-    }
+  // init UI
+  GroupBox *reglages_groupbox = new GroupBox(position, name);
+  T = new DoubleSpinBox(reglages_groupbox->NewRow(), "period, 0 for auto:",
+                        " s", 0, 1, 0.01);
+  if (unit == "") {
+    max_veloctity =
+        new DoubleSpinBox(reglages_groupbox->LastRowLastCol(),
+                          "velocity max (absolute):", 0., 200000, 1);
+  } else {
+    max_veloctity = new DoubleSpinBox(reglages_groupbox->LastRowLastCol(),
+                                      "velocity max (absolute):",
+                                      " " + unit + "/s", 0., 200000, 1);
+  }
+  if (unit == "") {
+    acceleration = new DoubleSpinBox(reglages_groupbox->LastRowLastCol(),
+                                     "acceleration (absolute):", 0., 10, 1, 3);
+  } else {
+    acceleration = new DoubleSpinBox(reglages_groupbox->LastRowLastCol(),
+                                     "acceleration (absolute):",
+                                     " " + unit + "/s²", 0., 200000, 1);
+  }
 
-    Reset();
+  Reset();
 
-    //init matrix
-    cvmatrix_descriptor* desc=new cvmatrix_descriptor(2,1);
-    desc->SetElementName(0,0,"pos");
-    desc->SetElementName(1,0,"vel");
-    output=new cvmatrix(self,desc,floatType,name);
+  // init matrix
+  cvmatrix_descriptor *desc = new cvmatrix_descriptor(2, 1);
+  desc->SetElementName(0, 0, "pos");
+  desc->SetElementName(1, 0, "vel");
+  output = new cvmatrix(self, desc, floatType, name);
 
-    output->SetValue(0,0,pos);
-    output->SetValue(1,0,v);
+  output->SetValue(0, 0, pos);
+  output->SetValue(1, 0, v);
 }
 
-TrajectoryGenerator1D_impl::~TrajectoryGenerator1D_impl() {
+TrajectoryGenerator1D_impl::~TrajectoryGenerator1D_impl() {}
+
+void TrajectoryGenerator1D_impl::Reset(void) {
+  pos = 0;
+  v = 0;
+  pos_off = 0;
+  vel_off = 0;
 }
 
-void TrajectoryGenerator1D_impl::Reset(void) {
-    pos=0;
-    v=0;
-    pos_off=0;
-    vel_off=0;
+void TrajectoryGenerator1D_impl::StartTraj(float start_pos, float end_pos) {
+  is_started = true;
+  is_finished = false;
+  first_update = true;
+
+  // configure trajectory
+  end_position = end_pos;
+  pos = start_pos;
+  acc = acceleration->Value();
+  v = 0;
+  if (end_position < start_pos) {
+    acc = -acc;
+    // max_veloctity=-max_veloctity;
+  }
 }
 
-void TrajectoryGenerator1D_impl::StartTraj(float start_pos,float end_pos) {
-    is_started=true;
-    is_finished=false;
-    first_update=true;
-
-    //configure trajectory
-    end_position=end_pos;
-    pos=start_pos;
-    acc=acceleration->Value();
-    v=0;
-    if(end_position<start_pos) {
-        acc=-acc;
-        //max_veloctity=-max_veloctity;
-    }
-}
-
-//revoir l'interet du stop?
+// revoir l'interet du stop?
 void TrajectoryGenerator1D_impl::StopTraj(void) {
-    is_started=false;
-    v=0;
-    //output->SetValue(1,0,v);
+  is_started = false;
+  v = 0;
+  // output->SetValue(1,0,v);
 }
 
 void TrajectoryGenerator1D_impl::Update(Time time) {
-    float delta_t;
+  float delta_t;
 
-    if(T->Value()==0) {
-        if(first_update==true) {
-            first_update=false;
-            previous_time=time;
-            output->GetMutex();
-            output->SetValueNoMutex(0,0,pos+pos_off);
-            output->SetValueNoMutex(1,0,v+vel_off);
-            output->ReleaseMutex();
+  if (T->Value() == 0) {
+    if (first_update == true) {
+      first_update = false;
+      previous_time = time;
+      output->GetMutex();
+      output->SetValueNoMutex(0, 0, pos + pos_off);
+      output->SetValueNoMutex(1, 0, v + vel_off);
+      output->ReleaseMutex();
 
-            output->SetDataTime(time);
-            return;
-        } else {
-            delta_t=(float)(time-previous_time)/1000000000.;
-        }
+      output->SetDataTime(time);
+      return;
     } else {
-        delta_t=T->Value();
+      delta_t = (float)(time - previous_time) / 1000000000.;
     }
-    previous_time=time;
+  } else {
+    delta_t = T->Value();
+  }
+  previous_time = time;
 
+  if (is_started == true) {
+    if (is_finished == false) {
+      v += acc * delta_t;
+      if (fabs(v) > fabs(max_veloctity->Value())) {
+        if (v > 0)
+          v = max_veloctity->Value();
+        else
+          v = -max_veloctity->Value();
+      }
+      pos += v * delta_t;
+      if (end_position - v * v / (2 * acc) <= pos && v >= 0)
+        acc = -acc;
+      if (end_position - v * v / (2 * acc) >= pos && v < 0)
+        acc = -acc;
+      if (pos >= end_position && v >= 0)
+        is_finished = true;
+      if (pos <= end_position && v < 0)
+        is_finished = true;
+    }
+    // else
+    if (is_finished == true) {
+      v = 0;
+      pos = end_position;
+    }
+  }
 
-    if(is_started==true) {
-        if(is_finished==false) {
-            v+=acc*delta_t;
-            if(fabs(v)>fabs(max_veloctity->Value())) {
-                if(v>0)
-                    v=max_veloctity->Value();
-                else
-                    v=-max_veloctity->Value();
-            }
-            pos+=v*delta_t;
-            if(end_position-v*v/(2*acc)<=pos && v>=0) acc=-acc;
-            if(end_position-v*v/(2*acc)>=pos && v<0) acc=-acc;
-            if(pos>=end_position && v>=0) is_finished=true;
-            if(pos<=end_position && v<0) is_finished=true;
-        }
-        //else
-        if(is_finished==true) {
-            v=0;
-            pos=end_position;
-        }
-    }
+  // on prend une fois pour toute les mutex et on fait des accès directs
+  output->GetMutex();
+  output->SetValueNoMutex(0, 0, pos + pos_off);
+  output->SetValueNoMutex(1, 0, v + vel_off);
+  output->ReleaseMutex();
 
-    //on prend une fois pour toute les mutex et on fait des accès directs
-    output->GetMutex();
-    output->SetValueNoMutex(0,0,pos+pos_off);
-    output->SetValueNoMutex(1,0,v+vel_off);
-    output->ReleaseMutex();
-
-    output->SetDataTime(time);
+  output->SetDataTime(time);
 }
Index: trunk/lib/FlairFilter/src/TrajectoryGenerator2DCircle.cpp
===================================================================
--- trunk/lib/FlairFilter/src/TrajectoryGenerator2DCircle.cpp	(revision 14)
+++ trunk/lib/FlairFilter/src/TrajectoryGenerator2DCircle.cpp	(revision 15)
@@ -27,72 +27,54 @@
 using namespace flair::gui;
 
-namespace flair
-{
-namespace filter
-{
+namespace flair {
+namespace filter {
 
-TrajectoryGenerator2DCircle::TrajectoryGenerator2DCircle(const LayoutPosition* position,string name) : IODevice(position->getLayout(),name)
-{
-    pimpl_=new TrajectoryGenerator2DCircle_impl(this,position,name);
-    AddDataToLog(pimpl_->output);
+TrajectoryGenerator2DCircle::TrajectoryGenerator2DCircle(
+    const LayoutPosition *position, string name)
+    : IODevice(position->getLayout(), name) {
+  pimpl_ = new TrajectoryGenerator2DCircle_impl(this, position, name);
+  AddDataToLog(pimpl_->output);
 }
 
+TrajectoryGenerator2DCircle::~TrajectoryGenerator2DCircle() { delete pimpl_; }
 
-TrajectoryGenerator2DCircle::~TrajectoryGenerator2DCircle()
-{
-    delete pimpl_;
+bool TrajectoryGenerator2DCircle::IsRunning(void) const {
+  return pimpl_->is_running;
 }
 
-bool TrajectoryGenerator2DCircle::IsRunning(void) const
-{
-    return pimpl_->is_running;
+cvmatrix *TrajectoryGenerator2DCircle::Matrix(void) const {
+  return pimpl_->output;
 }
 
-cvmatrix *TrajectoryGenerator2DCircle::Matrix(void) const
-{
-    return pimpl_->output;
+void TrajectoryGenerator2DCircle::StartTraj(const Vector2D &start_pos,
+                                            float nb_lap) {
+  pimpl_->StartTraj(start_pos, nb_lap);
 }
 
-void TrajectoryGenerator2DCircle::StartTraj(const Vector2D &start_pos,float nb_lap)
-{
-    pimpl_->StartTraj(start_pos,nb_lap);
+void TrajectoryGenerator2DCircle::FinishTraj(void) { pimpl_->FinishTraj(); }
+
+void TrajectoryGenerator2DCircle::StopTraj(void) { pimpl_->is_running = false; }
+
+void TrajectoryGenerator2DCircle::GetPosition(Vector2D &point) const {
+  point.x = pimpl_->output->Value(0, 0);
+  point.y = pimpl_->output->Value(0, 1);
 }
 
-void TrajectoryGenerator2DCircle::FinishTraj(void)
-{
-    pimpl_->FinishTraj();
+void TrajectoryGenerator2DCircle::SetCenter(const Vector2D &value) {
+  pimpl_->pos_off = value;
 }
 
-void TrajectoryGenerator2DCircle::StopTraj(void)
-{
-    pimpl_->is_running=false;
+void TrajectoryGenerator2DCircle::GetSpeed(Vector2D &point) const {
+  point.x = pimpl_->output->Value(1, 0);
+  point.y = pimpl_->output->Value(1, 1);
 }
 
-void TrajectoryGenerator2DCircle::GetPosition(Vector2D &point) const
-{
-    point.x=pimpl_->output->Value(0,0);
-    point.y=pimpl_->output->Value(0,1);
+void TrajectoryGenerator2DCircle::SetCenterSpeed(const Vector2D &value) {
+  pimpl_->vel_off = value;
 }
 
-void TrajectoryGenerator2DCircle::SetCenter(const Vector2D &value)
-{
-    pimpl_->pos_off=value;
-}
-
-void TrajectoryGenerator2DCircle::GetSpeed(Vector2D &point) const
-{
-    point.x=pimpl_->output->Value(1,0);
-    point.y=pimpl_->output->Value(1,1);
-}
-
-void TrajectoryGenerator2DCircle::SetCenterSpeed(const Vector2D &value)
-{
-    pimpl_->vel_off=value;
-}
-
-void TrajectoryGenerator2DCircle::Update(Time time)
-{
-    pimpl_->Update(time);
-    ProcessUpdate(pimpl_->output);
+void TrajectoryGenerator2DCircle::Update(Time time) {
+  pimpl_->Update(time);
+  ProcessUpdate(pimpl_->output);
 }
 
